package com.sundata.datasource;

import com.sundata.common.util.CipherUtil;
import com.zaxxer.hikari.HikariDataSource;

public class EncryptedDatasource extends HikariDataSource {
	static CipherUtil cipherUtil = new CipherUtil();
	static {
		cipherUtil.symInit();
	}

	@Override
	public String getPassword() {
		String password = super.getPassword();
		String result = cipherUtil.decrypt(password);
		return result;
	}
}
