package com.sundata.internalevaluation.business.service;

import com.sundata.internalevaluation.business.mapper.IrbonlineAsynTaskInfoMapper;
import com.sundata.internalevaluation.business.model.IrbonlineAsynTaskInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by IntelliJ IDEA.
 *
 * @author JoeLazy
 * @date 2025-02-27 18:12:36
 * @description: 异步接口任务 服务层
 */

@Service
public class IrbonlineAsynTaskInfoService {


    @Autowired
    private IrbonlineAsynTaskInfoMapper irbonlineAsynTaskInfoMapper;

    /**
     * 根据任务的状态查询任务
     * @param status 状态的列表
     * @return 任务列表信息
     */
    public List<IrbonlineAsynTaskInfo> getTaskInfoListByStatus(String ... status) {
        return irbonlineAsynTaskInfoMapper.getTaskInfoListByStatus(status);
    }



}
