package com.sundata.example.model;

import java.util.Map;

import com.sundata.common.base.BasePageModel;

import io.swagger.v3.oas.annotations.media.Schema;
@Schema(title = "用户信息")
public class ExampleSysUserModel extends BasePageModel {
	@Schema(title = "用户账号")
	private String account;
	@Schema(title = "用户名称")
	private String cnname;
	@Schema(title = "密码")
	private String psw;
	@Schema(title = "邮箱")
	private String email;
	@Schema(title = "移动电话")
	private String mobile;
	@Schema(title = "办公电话")
	private String tel;
	@Schema(title = "用户状态")
	private String userState;
	@Schema(title = "所属机构")
	private String orgcode;	
	@Schema(title = "是否已登录")
	private String logOn;
	@Schema(title = "创建时间")
	private String creattime;
	@Schema(title = "修改密码的日期")
	private String modifypwdate;	//修改密码的日期
	@Schema(title = "登录代码")
	private String loginname;       //登录名
	//TODO 数据库中增加是否外部抽取标志，用于区分系统新增操作员和外部抽取操作员，外部抽取操作员禁止维护
	@Schema(title = "机构名称")
	private String orgname;
	@Schema(title = "操作员当前部门或者机构")
	private String curOrgCode;	//操作员当前部门或者机构
	@Schema(title = "操作员当前部门或者机构")
	private String curOrgName;	//操作员当前部门或者机构名称
	@Schema(title = "操作员当前所属机构的级别")
	private String orgtype;		//操作员当前所属机构的级别
	@Schema(title = "操作员当前所属部门的类型")
	private String depttype;	//操作员当前所属部门的类型
	private String scopeorg;
	private String scopeuser;
	@Schema(title = "是否被选中，datagrid固定属性")
	private String checked;
	//新增
	@Schema(title = "证件类型")
	private String certtype; //证件类型
	@Schema(title = "证件号码")
	private String certno;   //证件号码
	@Schema(title = "用户编号(柜员号)")
	private String tellerid; //用户编号(柜员号)
	@Schema(title = "行政职务")
    private String admpost;  //行政职务
	@Schema(title = "党务职务")
    private String partypost;//党务职务
	@Schema(title = "业务岗位")
    private String busipost; //业务岗位
	@Schema(title = "管理机构")
    private String admorg;   //管理机构
	@Schema(title = "管理机构名称")
    private String admorgname; //管理机构名称
	@Schema(title = "修改前的机构")
    private String oldorgcode;//修改前的机构
	@Schema(title = "数据库类型")
    private String dbtype;//数据库类型
	@Schema(title = "机构范围")
    private String dataScopeOrg;//机构范围
	@Schema(title = "用户")
    private String dataScopeAccount;//用户
	@Schema(title = "排序")
    private Map<String,Object> ordersort;
	//排序字段
    private String ordercol;
	//排序方式
    private String  soertype;
   
	public String getChecked() {
		return checked;
	}
	public void setChecked(String checked) {
		this.checked = checked;
	}
	public String getDbtype() {
		return dbtype;
	}
	public void setDbtype(String dbtype) {
		this.dbtype = dbtype;
	}
	public String getDataScopeOrg() {
		return dataScopeOrg;
	}
	public void setDataScopeOrg(String dataScopeOrg) {
		this.dataScopeOrg = dataScopeOrg;
	}
	public String getDataScopeAccount() {
		return dataScopeAccount;
	}
	public void setDataScopeAccount(String dataScopeAccount) {
		this.dataScopeAccount = dataScopeAccount;
	}
	public String getOldorgcode() {
		return oldorgcode;
	}
	public void setOldorgcode(String oldorgcode) {
		this.oldorgcode = oldorgcode;
	}
	public String getLoginname() {
		return loginname;
	}
	public void setLoginname(String loginname) {
		this.loginname = loginname;
	}
	public String getAdmorgname() {
		return admorgname;
	}
	public void setAdmorgname(String admorgname) {
		this.admorgname = admorgname;
	}
	public String getCerttype() {
		return certtype;
	}
	public void setCerttype(String certtype) {
		this.certtype = certtype;
	}
	public String getCertno() {
		return certno;
	}
	public void setCertno(String certno) {
		this.certno = certno;
	}
	public String getTellerid() {
		return tellerid;
	}
	public void setTellerid(String tellerid) {
		this.tellerid = tellerid;
	}
	public String getAdmpost() {
		return admpost;
	}
	public void setAdmpost(String admpost) {
		this.admpost = admpost;
	}
	public String getPartypost() {
		return partypost;
	}
	public void setPartypost(String partypost) {
		this.partypost = partypost;
	}
	public String getBusipost() {
		return busipost;
	}
	public void setBusipost(String busipost) {
		this.busipost = busipost;
	}
	public String getAdmorg() {
		return admorg;
	}
	public void setAdmorg(String admorg) {
		this.admorg = admorg;
	}
	public String getScopeorg() {
		return scopeorg;
	}
	public void setScopeorg(String scopeorg) {
		this.scopeorg = scopeorg;
	}
	public String getScopeuser() {
		return scopeuser;
	}
	public void setScopeuser(String scopeuser) {
		this.scopeuser = scopeuser;
	}
	public String getOrgtype() {
		return orgtype;
	}
	public void setOrgtype(String orgtype) {
		this.orgtype = orgtype;
	}
	public String getCurOrgCode() {
		return curOrgCode;
	}
	public void setCurOrgCode(String curOrgCode) {
		this.curOrgCode = curOrgCode;
	}
	public String getCurOrgName() {
		return curOrgName;
	}
	public void setCurOrgName(String curOrgName) {
		this.curOrgName = curOrgName;
	}
	public String getAccount() {
		return account;
	}
	public void setAccount(String account) {
		this.account = account;
	}
	public String getCnname() {
		return cnname;
	}
	public void setCnname(String cnname) {
		this.cnname = cnname;
	}
	public String getPsw() {
		return psw;
	}
	public void setPsw(String psw) {
		this.psw = psw;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getTel() {
		return tel;
	}
	public void setTel(String tel) {
		this.tel = tel;
	}
	public String getUserState() {
		return userState;
	}
	public void setUserState(String userState) {
		this.userState = userState;
	}
	public String getOrgcode() {
		return orgcode;
	}
	public void setOrgcode(String orgcode) {
		this.orgcode = orgcode;
	}
	public String getLogOn() {
		return logOn;
	}
	public void setLogOn(String logOn) {
		this.logOn = logOn;
	}
	public String getCreattime() {
		return creattime;
	}
	public void setCreattime(String creattime) {
		this.creattime = creattime;
	}
	public String getModifypwdate() {
		return modifypwdate;
	}
	public void setModifypwdate(String modifypwdate) {
		this.modifypwdate = modifypwdate;
	}
	
	public String getOrgname() {
		return orgname;
	}
	public void setOrgname(String orgname) {
		this.orgname = orgname;
	}
	public String getDepttype() {
		return depttype;
	}
	public void setDepttype(String depttype) {
		this.depttype = depttype;
	}
	public Map<String,Object> getOrdersort() {
		return ordersort;
	}
	public void setOrdersort(Map<String,Object> ordersort) {
		this.ordersort = ordersort;
	}
	public String getOrdercol() {
		return ordercol;
	}
	public void setOrdercol(String ordercol) {
		this.ordercol = ordercol;
	}
	public String getSoertype() {
		return soertype;
	}
	public void setSoertype(String soertype) {
		this.soertype = soertype;
	}
	
}
