package com.sundata.internalevaluation.business.mapper;

import com.sundata.internalevaluation.business.model.IrbonlineAsynTaskInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Created by IntelliJ IDEA.
 *
 * @author JoeLazy
 * @date 2025-02-27 18:16:01
 * @description: mapper接口
 */

@Mapper
public interface IrbonlineAsynTaskInfoMapper {

    /**
     * 根据任务的状态查询任务
     * @param status 状态的列表
     * @return 任务列表信息
     */
    List<IrbonlineAsynTaskInfo> getTaskInfoListByStatus(@Param("status") String[] status);
}
