package com.sundata.internalevaluation.configuration.mapper;

import com.sundata.internalevaluation.configuration.model.DataSetConfigModel;
import com.sundata.internalevaluation.configuration.model.DataSourcesModel;

import java.util.List;

public interface DataSetConfigMapper {
    List<DataSetConfigModel> getDataList(DataSetConfigModel model);

    void createData(DataSetConfigModel model);

    void createAssociation(DataSetConfigModel model);

    void deleteRows(DataSetConfigModel model);

    void deleteAssociation(String dataSetNo);

    void updateExistData(DataSetConfigModel model);

    DataSetConfigModel selectDetailData(DataSetConfigModel model);

    List<DataSetConfigModel> selectAssociation(DataSetConfigModel model);
}
