package com.sundata.internalevaluation.configuration.mapper;

import com.sundata.internalevaluation.configuration.model.RiskControlStrategyModel;

import java.util.List;

public interface RiskControlStrategyMapper {
    List<RiskControlStrategyModel> getDataList(RiskControlStrategyModel model);

    void createData(RiskControlStrategyModel model);

    void deleteRows(String riskControlStrategyNo);

    void deleteIndexListAssociation(RiskControlStrategyModel model);

    void deleteRulesAssociation(RiskControlStrategyModel model);

    void updateExistData(RiskControlStrategyModel model);

    RiskControlStrategyModel selectDetailData(RiskControlStrategyModel model);

    void createIndexListAssociation(RiskControlStrategyModel model);

    void createRulesAssociation(RiskControlStrategyModel model);

    List<RiskControlStrategyModel> selectIndexListAssociation(String riskControlStrategyNo);

    List<RiskControlStrategyModel> selectRulesAssociationData(String riskControlStrategyNo);
}
